## ros-r2b2-teleop-twist-joy 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(teleop_twist_joy)

if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++14 -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(geometry_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)

include_directories(include)

add_library(${PROJECT_NAME} src/${PROJECT_NAME})

ament_target_dependencies(${PROJECT_NAME}
  "geometry_msgs"
  "rclcpp"
  "sensor_msgs"
)

add_executable(${PROJECT_NAME}_node src/teleop_node.cpp)
target_link_libraries(${PROJECT_NAME}_node ${PROJECT_NAME})
set_target_properties(${PROJECT_NAME}_node
  PROPERTIES OUTPUT_NAME teleop_node PREFIX "")

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_node
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include)

#install(DIRECTORY launch config
#  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(BUILD_TESTING)
  # find_package(roslint REQUIRED)
  # roslint_cpp()
  # roslint_python()
  # roslint_add_test()

  # find_package(roslaunch REQUIRED)
  # roslaunch_add_file_check(launch/teleop.launch)

  # find_package(rostest REQUIRED)
  # include_directories(include ${catkin_INCLUDE_DIRS})

  # # Check axes and scaling.
  # add_rostest(test/differential_joy.test)
  # add_rostest(test/holonomic_joy.test)
  # add_rostest(test/six_dof_joy.test)

  # # Check enable and turbo button logic.
  # add_rostest(test/no_enable_joy.test)
  # add_rostest(test/turbo_enable_joy.test)
  # add_rostest(test/only_turbo_joy.test)
  # add_rostest(test/turbo_angular_enable_joy.test)
  # add_rostest(test/turbo_angular_enable_joy_with_rosparam_map.test)
endif()

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_package()

=== debian/changelog ===
ros-r2b2-teleop-twist-joy (0.1.2-3xenial) xenial; urgency=high

  * Fixed incorrect key. (#21 <https://github.com/ros-teleop/teleop_twist_joy/issues/21>)
  * Allow custom config file from location outside of this package
  * Setting scale_angular_turbo if axis_angular is set so that turning works when turbo is pressed.
  * Added turbo scale for angular velocities and accompanying test.
  * Add LICENSE.txt.
  * Contributors: Daniel Aden, Isaac I.Y. Saito, Mike Purvis, Tony Baltovski

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 31 Aug 2016 04:00:00 -0000

ros-r2b2-teleop-twist-joy (0.1.1-3xenial) xenial; urgency=high

  * Add rostests.
  * Added maps to allow multi-dof velocity publishing.
  * Added Xbox 360 controller example.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 27 Jun 2015 04:00:00 -0000

ros-r2b2-teleop-twist-joy (0.1.0-3xenial) xenial; urgency=high

  * Added configurations for Logitech Attack3 and Extreme 3D Pro joysticks.
  * Initial version, with example config for PS3 joystick.
  * Contributors: Mike Purvis, Tony Baltovski

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 25 Jul 2014 04:00:00 -0000

=== debian/control ===
Source: ros-r2b2-teleop-twist-joy
Section: misc
Priority: extra
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-r2b2-ament-cmake-ros, ros-r2b2-geometry-msgs, ros-r2b2-rclcpp, ros-r2b2-sensor-msgs, ros-r2b2-ros-workspace
Homepage: http://wiki.ros.org/teleop_twist_joy
Standards-Version: 3.9.2

Package: ros-r2b2-teleop-twist-joy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-r2b2-geometry-msgs, ros-r2b2-rclcpp, ros-r2b2-sensor-msgs, ros-r2b2-ros-workspace
Description: Generic joystick teleop for twist robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/r2b2/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Build type specific exports if any.

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/r2b2" -DAMENT_PREFIX_PATH="/opt/ros/r2b2"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-r2b2-teleop-twist-joy//opt/ros/r2b2/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_install
